# $Revision: 1.79.2.2 $, $Date: 2007/10/22 15:47:16 $
# TODO:
# - ipv6 support
#
# Conditional build:
%bcond_with	rogue	# with Rogue ("Ground Zero") Mission Pack  (non-distributable package)
%bcond_with	xatrix	# with Xatrix ("The Reckoning") Mission Pack  (non-distributable package)
#
Summary:	Quake2Forge - improved version of id Software's classic Quake II engine
Summary(pl.UTF-8):	Quake2Forge - ulepszona wersja klasycznego silnika Quake II firmy id Software
Name:		quake2forge
Version:	0.3
Release:	2
License:	GPL (for main code only)
Group:		Applications/Games
# http://dl.sourceforge.net/quake/quake2-%{version}.tar.gz [but no 0.3 yet]
# ftp://ftp.quakeforge.net/quake2forge/quake2-%{version}.tar.gz [dead]
Source0:	quake2-%{version}.tar.gz
# Source0-md5:	2c167ff7edce20f0240316b98a1e4515
#Source1:	multiplay pack (need to check licence)
# ftp://ftp.idsoftware.com/idstuff/quake2/q2-3.20-x86-full.exe
Source2:	%{name}-server.conf
Source3:	%{name}-server
Source4:	%{name}.png
Source5:	%{name}.desktop
Source6:	q2ded.sysconfig
Source7:	q2ded.screenrc
Source8:	%{name}-rogue.desktop
Source9:	%{name}-xatrix.desktop
Source10:	ftp://ftp.idsoftware.com/idstuff/quake2/source/roguesrc320.shar.Z
# Source10-md5:	7d5e052839c9e629bad0a6570aa70554
Source11:	ftp://ftp.idsoftware.com/idstuff/quake2/source/xatrixsrc320.shar.Z
# Source11-md5:	41fc4ecc4f25c068e7d1f488bd4a1e1a
Patch0:		%{name}-stupid_nvidia_bug.patch
Patch1:		%{name}-gl.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-fix.patch
Patch4:		%{name}-gamedir.patch
Patch5:		%{name}-missionpacks.patch
Patch6:		%{name}-rogue-fix.patch
Patch7:		%{name}-xatrix-fix.patch
URL:		http://www.quakeforge.net/
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libao-devel >= 0.8.5
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	svgalib-devel
BuildRequires:	unzip
Requires:	%{name}-common = %{version}-%{release}
Requires:	%{name}-renderer = %{version}-%{release}
Obsoletes:	quake2 <= 1:0.3
Obsoletes:	quake2-static <= 1:0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gamelibdir	%{_libdir}/quake2
%define		_gamedatadir	%{_datadir}/quake2
%define		_gamehomedir	/var/games/quake2

# because of gl_image.c:1559
%define		specflags	-fno-strict-aliasing

%description
Quake2Forge - improved version of id Software's classic Quake II
engine.

%description -l pl.UTF-8
Quake2Forge - ulepszona wersja klasycznego silnika Quake II firmy id
Software.

%package common
Summary:	Quake2Forge common files
Group:		Applications/Games
Provides:	quake2-common

%description common
Quake2Forge common files.

%package server
Summary:	Quake2Forge server
Summary(pl.UTF-8):	Serwer Quake2Forge
Summary(pt_BR.UTF-8):	Servidor Quake2Forge
Group:		Applications/Games
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-scripts
Requires:	screen
Provides:	group(quake2)
Provides:	user(quake2)
Obsoletes:	quake2-server <= 1:0.3

%description server
Quake2Forge server.

%description server -l pl.UTF-8
Serwer Quake2Forge dla Linuksa.

%description server -l pt_BR.UTF-8
Servidor Quake2Forge.

%package 3dfx
Summary:	Quake2Forge 3DFX libs
Summary(pl.UTF-8):	Biblioteki 3DFX dla Quake2Forge
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-renderer = %{version}-%{release}
Obsoletes:	quake2-3DFX
Obsoletes:	quake2-3dfx <= 1:0.3

%description 3dfx
Play Quake2Forge using 3DFX acceleration.

%description 3dfx -l pl.UTF-8
Zagraj w Quake2Forge z akceleracją 3DFX.

%package glx
Summary:	OpenGL Quake2Forge
Summary(pl.UTF-8):	Quake2Forge OpenGL
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-renderer = %{version}-%{release}
Obsoletes:	quake2-GLX
Obsoletes:	quake2-glx <= 1:0.3

%description glx
Play Quake2Forge using hardware OpenGL acceleration.

%description glx -l pl.UTF-8
Zagraj w Quake2Forge ze sprzętową akceleracją OpenGL.

%package sdl
Summary:	Quake2Forge for SDL
Summary(pl.UTF-8):	Biblioteki Quake2Forge dla SDL
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-renderer = %{version}-%{release}
Obsoletes:	quake2-sdl <= 1:0.3

%description sdl
Quake2Forge libraries for SDL play.

%description sdl -l pl.UTF-8
Biblioteki Quake2Forge do grania na SDL.

%package sgl
Summary:	Quake2Forge for SDL with GL
Summary(pl.UTF-8):	Biblioteki Quake2Forge dla SDL z obsługą GL
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-renderer = %{version}-%{release}
Obsoletes:	quake2-sgl <= 1:0.3

%description sgl
Quake2Forge libraries for SDL with GL play.

%description sgl -l pl.UTF-8
Biblioteki Quake2Forge do grania na SDL z obsługą GL.

%package svga
Summary:	Quake2Forge for SVGAlib
Summary(pl.UTF-8):	Biblioteki Quake2Forge dla SVGAlib
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-renderer = %{version}-%{release}
Obsoletes:	quake2-svga <= 1:0.3
Obsoletes:	quake2-svgalib

%description svga
Quake2Forge libraries for SVGAlib play.

%description svga -l pl.UTF-8
Biblioteki Quake2Forge do grania na SVGAlib.

%package x11
Summary:	Quake2Forge X11 software renderer libs
Summary(pl.UTF-8):	Biblioteka Quake2Forge - programowe renderowanie
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-renderer = %{version}-%{release}
Obsoletes:	quake2-X11
Obsoletes:	quake2-software-X11
Obsoletes:	quake2-x11 <= 1:0.3

%description x11
Play Quake2Forge using software X11 renderer.

%description x11 -l pl.UTF-8
Zagraj w Quake2Forge przy użyciu programowego renderowania w X11.

%package snd-alsa
Summary:	Quake2Forge ALSA sound plugin
Summary(pl.UTF-8):	Wtyczka dźwięku ALSA dla Quake2Forge
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-sound-plugin = %{version}-%{release}
Obsoletes:	quake2-snd-alsa <= 1:0.3

%description snd-alsa
ALSA sound plugin for Quake2Forge.

%description snd-alsa -l pl.UTF-8
Wtyczka dźwięku ALSA dla Quake2Forge.

%package snd-ao
Summary:	Quake2Forge ao sound plugin
Summary(pl.UTF-8):	Wtyczka dźwięku ao dla Quake2Forge
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-sound-plugin = %{version}-%{release}
Obsoletes:	quake2-snd-ao <= 1:0.3

%description snd-ao
Ao sound plugin for Quake2Forge.

%description snd-ao -l pl.UTF-8
Wtyczka dźwięku ao dla Quake2Forge.

%package snd-oss
Summary:	Quake2Forge OSS sound plugin
Summary(pl.UTF-8):	Wtyczka dźwięku OSS dla Quake2Forge
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-sound-plugin = %{version}-%{release}
Obsoletes:	quake2-snd-oss <= 1:0.3

%description snd-oss
OSS sound plugin for Quake2Forge.

%description snd-oss -l pl.UTF-8
Wtyczka dźwięku OSS dla Quake2Forge.

%package snd-sdl
Summary:	Quake2Forge SDL sound plugin
Summary(pl.UTF-8):	Wtyczka dźwięku SDL dla Quake2Forge
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-sound-plugin = %{version}-%{release}
Obsoletes:	quake2-snd-sdl <= 1:0.3

%description snd-sdl
SDL sound plugin for Quake2Forge.

%description snd-sdl -l pl.UTF-8
Wtyczka dźwięku SDL dla Quake2Forge.

%package rogue
Summary:	Quake2Forge: Ground Zero (mission pack)
Summary(pl.UTF-8):	Quake2Forge: Ground Zero (zestaw misji)
License:	GPL+Limited Program Source Code License (non-distributable in binary form)
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}

%description rogue
Quake2Forge: Ground Zero (mission pack).

%description rogue -l pl.UTF-8
Quake2Forge: Ground Zero (zestaw misji).

%package xatrix
Summary:	Quake2Forge: The Reckoning (mission pack)
Summary(pl.UTF-8):	Quake2Forge: The Reckoning (zestaw misji)
License:	GPL+Limited Program Source Code License (non-distributable in binary form)
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}

%description xatrix
Quake2Forge: The Reckoning (mission pack).

%description xatrix -l pl.UTF-8
Quake2Forge: The Reckoning (zestaw misji).

%prep
%setup -q -n quake2-%{version}
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%if %{with rogue}
cd src/rogue
gzip -dc %{SOURCE10} | %{__sed} s/"^more "/"cat >LICENSE.rogue "/ >rogue.shar
echo yes| sh rogue.shar
cd ../..
%patch6 -p1
%endif

%if %{with xatrix}
cd src/xatrix
gunzip -c %{SOURCE11} | %{__sed} s/"^more "/"cat >LICENSE.xatrix "/ >xatrix.shar
echo yes| sh xatrix.shar
cd ../..
%patch7 -p1
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--disable-static \
	--enable-sdlsound

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_gamedatadir}/baseq2,%{_gamehomedir}/.quake2/baseq2} \
	$RPM_BUILD_ROOT{/etc/sysconfig,/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

install %{SOURCE2} $RPM_BUILD_ROOT%{_gamehomedir}/.quake2/baseq2/server.cfg
install %{SOURCE7} $RPM_BUILD_ROOT%{_gamehomedir}/.screenrc
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/q2ded
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/q2ded

%if %{with rogue}
install %{SOURCE8} $RPM_BUILD_ROOT%{_desktopdir}/%{name}-rogue.desktop
%endif
%if %{with xatrix}
install %{SOURCE8} $RPM_BUILD_ROOT%{_desktopdir}/%{name}-xatrix.desktop
%endif

rm -rf _doc
cp -a docs _doc
rm -rf _doc/{CVS,Makefile*,ctf/CVS,ctf/Makefile*}

rm -f $RPM_BUILD_ROOT%{_gamelibdir}/*.la
rm -f $RPM_BUILD_ROOT%{_gamelibdir}/*/game.la
rm -f $RPM_BUILD_ROOT%{_gamedatadir}/baseq2/config.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%pre server
%groupadd -P %{name}-server -g 170 quake2
%useradd -P %{name}-server -u 170 -d %{_gamehomedir} -s /bin/sh -c "Quake 2" -g quake2 quake2

%post server
/sbin/chkconfig --add q2ded
%service q2ded restart "Quake2 server"

%preun server
if [ "$1" = "0" ]; then
	%service q2ded stop
	/sbin/chkconfig --del q2ded
fi

%postun server
if [ "$1" = "0" ]; then
	%userremove quake2
	%groupremove quake2
fi

%triggerpostun server -- quake2-server < 1:0.3-3.11
if [ -f %{_gamedatadir}/baseq2/server.cfg.rpmsave ]; then
	mv -f %{_gamehomedir}/.quake2/baseq2/server.cfg{,.rpmnew}
	mv -f %{_gamedatadir}/baseq2/server.cfg.rpmsave %{_gamehomedir}/.quake2/baseq2/server.cfg
fi

if [ -f /var/lock/subsys/quake2-server ]; then
	mv -f /var/lock/subsys/{quake2-server,q2ded}
	%service -q q2ded restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS HACKING README TODO _doc/*
%{_pixmapsdir}/quake2forge.png
%{_desktopdir}/quake2forge.desktop

%files common
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/quake2
%dir %{_gamelibdir}
%dir %{_gamelibdir}/baseq2
%dir %{_gamelibdir}/ctf
%attr(755,root,root) %{_gamelibdir}/baseq2/game.so
%attr(755,root,root) %{_gamelibdir}/ctf/game.so
#%%{_gamedir}/baseq2/pak2.pak
#%%{_gamedir}/baseq2/players
%dir %{_gamedatadir}
%dir %{_gamedatadir}/baseq2

%files server
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/q2ded
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/q2ded
%dir %attr(770,root,quake2) %{_gamehomedir}
%config(noreplace) %attr(660,root,quake2) %verify(not md5 mtime size) %{_gamehomedir}/.screenrc
%dir %attr(770,root,quake2) %{_gamehomedir}/.quake2
%dir %attr(770,root,quake2) %{_gamehomedir}/.quake2/baseq2
%config(noreplace) %attr(660,root,quake2) %verify(not md5 mtime size) %{_gamehomedir}/.quake2/baseq2/server.cfg

%files 3dfx
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_tdfx.so

%files glx
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_glx.so

%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_softsdl.so

%files sgl
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_sdlgl.so

%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_soft.so

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_softx.so

%files snd-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/snd_alsa.so

%files snd-ao
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/snd_ao.so

%files snd-oss
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/snd_oss.so

%files snd-sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/snd_sdl.so

%if %{with rogue}
%files rogue
%defattr(644,root,root,755)
%doc src/rogue/LICENSE.rogue
%dir %{_gamelibdir}/rogue
%attr(755,root,root) %{_gamelibdir}/rogue/game.so
%{_desktopdir}/quake2forge-rogue.desktop
%endif

%if %{with xatrix}
%files xatrix
%defattr(644,root,root,755)
%doc src/xatrix/LICENSE.xatrix
%dir %{_gamelibdir}/xatrix
%attr(755,root,root) %{_gamelibdir}/xatrix/game.so
%{_desktopdir}/quake2forge-xatrix.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: quake2forge.spec,v $
Revision 1.79.2.2  2007/10/22 15:47:16  glen
- -common provides quake2-common; rel 2

Revision 1.79.2.1  2007/10/19 18:09:00  glen
- AC-branch

Revision 1.79  2007/10/19 18:06:29  glen
- -server doesn't need x libraries, so split to -common
- rel 1

Revision 1.78  2007/04/28 23:49:42  qboosh
- sorted snd-* packages

Revision 1.77  2007/04/28 22:42:55  qboosh
- added rogue and xatrix mission packs (bconds, default off, as they are not
  GPL-compatible, so binary packages cannot be distributed)
- added missionpacks,rogue-fix,xatrix-fix patches and rogue,xatrix .desktops
- fixed some pl descs

Revision 1.76  2007/04/28 21:11:35  qboosh
- pkglibdir/pkgdatadir without "games" (as executable exists in /usr/bin not /usr/games)
- added gamedir patch

Revision 1.75  2007/04/28 12:13:00  qboosh
- files update

Revision 1.74  2007/04/28 12:03:24  qboosh
- added ac,fix patches to fix compilation
- removed obsolete ltdl stuff

Revision 1.73  2007/04/28 11:16:27  qboosh
- desc update

Revision 1.72  2007/04/28 11:14:42  qboosh
- setup -n

Revision 1.71  2007/04/28 11:14:05  qboosh
- switched to modular xorg

Revision 1.70  2007/04/28 11:07:23  qboosh
- changed Name to quake2forge (as it's not original quake2)

Revision 1.69  2007/02/26 10:26:11  glen
- obsolete -static; rel 4

Revision 1.68  2007/02/24 15:34:44  glen
- fix location of server.cfg

Revision 1.67  2007/02/24 15:20:20  glen
- install .screenrc, so you can just type "screen" to start q2ded under quake2 user

Revision 1.66  2007/02/24 15:12:46  glen
- initscript and service renamed to q2ded

Revision 1.65  2007/02/24 15:03:29  glen
- server.cfg moved to quake2 user homedir

Revision 1.64  2007/02/24 14:33:54  glen
- drop -static

Revision 1.63  2007/02/24 14:30:13  glen
- create quake2 user for -server

Revision 1.62  2007/02/24 14:25:07  glen
- .la files not used

Revision 1.61  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.60  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.59  2006/05/23 19:20:57  glen
- rel 3

Revision 1.58  2006/05/21 22:02:47  glen
- use sed 4.0

Revision 1.57  2006/03/13 23:47:11  glen
- remove unpackaged files
- unbreak re-entrant %install

Revision 1.56  2006/03/13 23:27:51  glen
- use %service

Revision 1.55  2006/01/25 16:42:12  ankry
- added -gl patch (fixed build), rel. 2, STBR

Revision 1.54  2005/12/13 15:59:58  glen
- adapterized (sorted %verify attrs)

Revision 1.53  2005/02/27 18:16:53  qboosh
- use epoch macro

Revision 1.52  2005/02/27 01:23:42  koorek
- Proper URL
- Epoch 1 due to upgrade problem

Revision 1.51  2005/01/14 20:29:54  qboosh
- cleanup

Revision 1.50  2004/09/25 14:49:07  saq
- BR libao-devel, remove Makefiles from docs (by Robert Kurowski)

Revision 1.49  2004/08/20 16:40:02  qboosh
- removed COPYING from doc (just GPL)

Revision 1.48  2004/08/19 07:47:18  qboosh
- cleanup

Revision 1.47  2004/08/18 18:02:15  havner
- 0.3 (Robert Kurowski)

Revision 1.46  2004/05/10 23:36:23  andree
- applnkdir -> desktopdir
- add quake2.desktop, rel.3

Revision 1.45  2004/04/07 15:05:50  adamg
- SDL subpackage should go to Applications/Games

Revision 1.44  2004/04/05 21:48:31  adamg
- strict internal deps

Revision 1.43  2004/04/05 21:46:36  adamg
- reverted some mistakes

Revision 1.42  2004/04/05 19:18:59  adamg
- even more groups fixed

Revision 1.41  2004/04/05 19:17:13  adamg
- fixed group

Revision 1.40  2004/01/15 05:48:11  domelu
- todo
- url to file contain multiplayer maps

Revision 1.39  2004/01/15 05:02:41  domelu
- rebuild (ac) with proper quake2-server init
- release 2

Revision 1.38  2004/01/11 00:27:20  eothane
- proper ep09 address

Revision 1.37  2003/10/05 14:56:16  mmazur
- updated to snapshot from today; changed version number to snapshot only
  (I guess there's no need to bump epoch)

Revision 1.36  2003/10/05 14:02:03  mmazur
- rel 2; added stupid_nvidia_bug patch

Revision 1.35  2003/10/03 15:00:48  qboosh
- cosmetics

Revision 1.34  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.33  2003/06/30 15:04:29  mmazur
- we don't use NAS any more. If it doesn't build without it - fix it

Revision 1.32  2003/06/30 08:09:01  bartowl
- BR: nas-static, dunno why, but without libaudio.a it won't build

Revision 1.31  2003/05/28 13:01:34  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:26:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/02/28 10:08:49  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2003/02/15 21:08:49  mmazur
- BR: nas-devel is fake

Revision 1.27  2003/01/16 19:21:57  mmazur
- got opengl working (XFree86-OpenGL-devel doesn't work)

Revision 1.26  2003/01/16 17:28:57  mmazur
- new snapshot + switching to SDL for sound (quake2 OSS support sux); nfy

Revision 1.25  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.24  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/10/07 14:17:12  qboosh
- BR: autoconf,automake,libtool; cleanup

Revision 1.22  2002/08/16 02:16:54  adgor
- Updated to snapshot 20020815
- Added 3dfx, sdl, sgl, stastic subpackages
- Renamed some subpackages
- Removed sources 1, 3 (others are renumbered)
- Corrected libdir & datadir in %configure
- Added some doc
- Snapshot number moved from release to version
- Added missing dirs
- Deleted some messing lines
- Cosmetics & simplifications
- Release 1

Revision 1.21  2002/07/26 17:57:58  adgor
- Cosmetics

Revision 1.20  2002/07/23 22:06:37  mmazur
- more changes

Revision 1.19  2002/07/22 12:53:04  mmazur
- bloody works (but NFY :)

Revision 1.18  2002/07/22 11:18:13  mmazur
- added BR libltdl-devel

Revision 1.17  2002/07/21 21:44:10  mmazur
- NFY
- now we'll use quakeforge :)
- builds but still needs a couple of BR plus about 4-5 packages
- crap

Revision 1.16  2002/07/05 21:36:56  adgor
- Corrected %preun server

Revision 1.15  2002/07/03 16:21:41  adgor
- Package %{name}-software-X11 renamed as %{name}-X11
- Scripts running X version are moved to /usr/X11R6/bin
- Added icon & desktop files
- Use fresh Source 1,3,5 !
- Commented some superfluous lines
- Added missing log lines
- Release 4

Revision 1.14  2002/07/02 23:36:58  adgor
- gamei386.so moved ../
- server.cfg moved to /usr/share/games/quake2/baseq2 (it didn't work for me
  before)
- Release 3

Revision 1.13  2002/07/02 23:09:09  adgor
- Added /usr/share/games/quake2 to main package
- Release 2

Revision 1.12  2002/07/01 19:34:31  qboosh
- switched to GPL version - but I don't have game data to test it at the moment
- moved /usr/share/games/quake2 to /usr/lib/games/quake2 (contains
  arch-dependent binaries)

Revision 1.11  2002/06/29 11:00:39  wolf
- spelling

Revision 1.10  2002/02/23 04:25:52  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:46  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/17 18:55:36  jack
- corrected "echo" running the server by "quake2-server start" not "quake2 start"
- it still sucks - doesn't work (?!)

Revision 1.6  2001/11/30 17:30:08  fastviper
- libs needed for rendering on various architectures (3dFX, GLX etc) are
  now in subpackages
- added Provides quake2-renderer to those subpackages
- added starting scripts to each renderer subpackage
- fixed Requires
- changed names of sources so that all begin with quake2-

Revision 1.5  2001/11/26 12:33:08  qboosh
- some fixes and cosmetics
- removed suid root

Revision 1.4  2001/11/25 22:43:40  fastviper
- No polish scripts nor comments -- PLD is popular ;-)
- Cleared mess a little, added comments
- Proper spec for 3.20 -- please don't use previous one
- Used some ideas from saq ;-)

Revision 1.3  2001/11/25 21:23:16  saq
- cosmetics
- gzip the docs
- exclusivearch ix86

Revision 1.2  2001/11/25 20:51:17  fastviper
- New version (3.20) avalivable
- changed URL for Source0

Revision 1.1  2001/11/25 20:45:16  fastviper
- added polish translations
- adapterized
- Taken  Arnaldo Carvalho de Melo <acme@conectiva.com.br> 's spec
